
QGIS Application - Bug report #21961

Layer Panel display for point data  layer unusable.

2019-04-30 01:02 PM - John Fynn

Status: Feedback

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29776

Description

Layers that display point data (i.e. a symbol denoting that one of our properties has been sold) display in an extremely expanded way that

makes the layer unusable. These layers displayed perfectly OK in 2.18 but not in 3.45.

If I right click on the layer and select properties then just click on Apply the display reverts to normal. If I then interact with the layer in any

way (i.e deselect a category) The layer immediately expands so that it is useless - please see attached file with images.

History

#1 - 2019-04-30 05:19 PM - Alessandro Pasotti

- Status changed from Open to Feedback

I recommend you to attach a sample project and data that the developers can use to reproduce your issue.

#2 - 2019-05-01 09:43 AM - Saber Razmjooei

- File deleted (Point data layer display images.docx)

#3 - 2019-05-01 09:44 AM - Saber Razmjooei

- File Expanded layer display.png added

- File Normal layer display.png added

#4 - 2019-05-01 11:52 AM - John Fynn

- File TreeDataLayerPanelAfter.png added

- File TreeDataLayerPanelBefore.png added

- File TreeDataCategorization.png added

Our ICT are not keen on sharing our data publicly so I may not be able to attached a sample project as recommended. Since discovering this bug I have

created a new project and added a single point data layer which behaves in exactly the same way. I have also applied categorization  and rule-based to the

symbology with the same effects - see uploaded TreeData files

#5 - 2019-05-01 06:41 PM - Giovanni Manghi

- Category changed from Unknown to Map Legend

- Priority changed from High to Normal

John Fynn wrote:

2025-04-27 1/2



Our ICT are not keen on sharing our data publicly so I may not be able to attached a sample project as recommended. Since discovering this bug I

have created a new project and added a single point data layer which behaves in exactly the same way. I have also applied categorization  and

rule-based to the symbology with the same effects - see uploaded TreeData files

there is of course something going on with your symbology (some property of your symbology, maybe a data defined one?) and the qgis legend, can't you

put together a sample project and symbology made of a small set of fa«ke data?

#6 - 2019-05-02 02:55 PM - John Fynn

- File Housing_v3_4_5_bug_test.qgs.qgz added

- File LayerTestProperties.csv added

I've attached a copy of the project and csv point data file if that is of any use.

#7 - 2019-05-02 03:27 PM - Giovanni Manghi

- File Screenshot_20190502_142735.png added

John Fynn wrote:

I've attached a copy of the project and csv point data file if that is of any use.

I cannot replicate. Please note that the project you sent has issue of its own (not sure if related to the issue you reported):

1) the project uses an absolute path for the CSV datasource, to open on other machines the project file must be manually edited.

2) after fixing 1) the project opens, the layer load but but no points will show

3) manually loading the CSV as delimited text datasource will show the points, but the CRS for them is likely to be 27700 and not 4326 as in your project

4) copy all the properties of the layer in your project and pasting them to the layer loaded in 3) will make it disappear. If only the symbology is copy/pasted

then the points will continue to show indicating that in the properties of the layer in your project there is something weird (I wasn't able to idenitfy it) that

maked the points now render on the map

5) I wasn't able to replicate the original issue that you reported: the symbol in the legend never expands as in the picture you attached

Files

Normal layer display.png 12.7 KB 2019-05-01 Saber Razmjooei

Expanded layer display.png 9.78 KB 2019-05-01 Saber Razmjooei

TreeDataCategorization.png 58.2 KB 2019-05-01 John Fynn

TreeDataLayerPanelAfter.png 9.87 KB 2019-05-01 John Fynn

TreeDataLayerPanelBefore.png 18.1 KB 2019-05-01 John Fynn

LayerTestProperties.csv 244 KB 2019-05-02 John Fynn

Housing_v3_4_5_bug_test.qgs.qgz 4.79 KB 2019-05-02 John Fynn

Screenshot_20190502_142735.png 446 KB 2019-05-02 Giovanni Manghi
